SpiSlaveEvent

com.ftdi.j2xx.protocol

## Class SpiSlaveEvent

- java.lang.Object
- - com.ftdi.j2xx.protocol.SpiSlaveEvent

- Direct Known Subclasses:
    SpiSlaveRequestEvent, SpiSlaveResponseEvent

      public class SpiSlaveEvent
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpiSlaveEvent(int iEventType, boolean bSync, java.lang.Object pArg0, java.lang.Object pArg1, java.lang.Object pArg2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getArg0()`
    `java.lang.Object` | `getArg1()`
    `java.lang.Object` | `getArg2()`
    `int` | `getEventType()`
    `boolean` | `getSync()`
    `void` | `setArg0(java.lang.Object arg)`
    `void` | `setArg1(java.lang.Object arg)`
    `void` | `setArg2(java.lang.Object arg)`
    `void` | `setEventType(int type)`
    `void` | `setSync(boolean bSync)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpiSlaveEvent

          public SpiSlaveEvent(int iEventType,
                       boolean bSync,
                       java.lang.Object pArg0,
                       java.lang.Object pArg1,
                       java.lang.Object pArg2)

  - ### Method Detail

    - #### getArg0

          public java.lang.Object getArg0()

    - #### setArg0

          public void setArg0(java.lang.Object arg)

    - #### getArg1

          public java.lang.Object getArg1()

    - #### setArg1

          public void setArg1(java.lang.Object arg)

    - #### getArg2

          public java.lang.Object getArg2()

    - #### setArg2

          public void setArg2(java.lang.Object arg)

    - #### getEventType

          public int getEventType()

    - #### setEventType

          public void setEventType(int type)

    - #### getSync

          public boolean getSync()

    - #### setSync

          public void setSync(boolean bSync)

About FTDI | FTDI Licence Terms